{% extends 'base-public.html.twig' %}

{% block header_title %}Sondage discours publics{% endblock %}

 {% block body %}
   {% for message in app.flashes('success') %}
     <div class="alert alert-fill alert-icon alert-success alert-dismissible">
       <em class="icon ni ni-check-circle-fill"></em>
       {{ message }}
     </div>
   {% endfor %}
   <div class="row">
     <div class="col-xl-12 col-12 col-lg-1">
       <div class="card card-bordered card-full shadow">
         <div class="card-inner">
           <div class="card-title-group">
             <div class="card-title">
               <h6 class="title"><span class="me-2">{{ speaker.fullName }}</span></h6>
             </div>
           </div>
         </div>
         <div class="card-inner border-top">
           <div class="alert alert-info">Certains discours peuvent être désignés comme prioritaires. N'hésite pas à te positionner sur ceux qui te conviennent. </div>
           <form action="{{ path('app_meeting_weekend_speech_survey_add', {'token': app.request.get('token')}) }}" method="post">
             <div class="row">
               <div class="col-12 col-sm-12 mt-2">
                 <div class="form-group">
                   {{ form_label(form.speeches) }}
                   <div class="form-control-wrap">
                     {{ form_widget(form.speeches) }}
                     {{ form_errors(form.speeches) }}
                   </div>
                 </div>
                 <div class="form-group">
                   {{ form_label(form.observations) }}
                   <div class="form-control-wrap">
                     {{ form_widget(form.observations) }}
                     {{ form_errors(form.observations) }}
                   </div>
                 </div>
               </div>
             </div>
             <div class="mt-4">
               <button class="btn btn-primary" type="submit"><em class="icon ni ni-send me-1"></em> Envoyer</button>
             </div>
             {{ form_widget(form._token) }}
           </form>
         </div>
       </div><!-- .card -->
     </div>
   </div>
 {% endblock body %}

{% block javascripts %}
  <script>
    const speeches = document.querySelectorAll('.form-check-label')
    speeches.forEach((el, index) => {
      let text = el.innerText
      if (text.includes('[prioritaire]')) {
        text = text.replace(/\[prioritaire(?:\s\d+)?\]/g, '')
        el.innerHTML = '<span class="badge bg-danger">prioritaire</span> ' + text
      }
    })

  </script>
{% endblock %}
